Loading...
Searching...
No Matches
Ogre::Volume::ChunkTreeSharedData Struct Reference
Optional Components » Volume

Internal shared values of the chunks which are equal in the whole tree. More...

`#include <OgreVolumeChunk.h>`

## Public Member Functions

| ChunkTreeSharedData (const ChunkParameters *params)
| Constructor.
| ~ChunkTreeSharedData (void)
| Destructor.

## Public Attributes

int | chunksBeingProcessed
| The amount of chunks being processed (== loading).
bool | dualGridVisible
| Flag whether the dualgrid is visible or not.
bool | octreeVisible
| Flag whether the octree is visible or not.
ChunkParameters * | parameters
| The parameters with which the chunktree got loaded.
bool | volumeVisible
| Another visibility flag to be user setable.

## Detailed Description

Internal shared values of the chunks which are equal in the whole tree.

## Constructor & Destructor Documentation

## ChunkTreeSharedData()

Ogre::Volume::ChunkTreeSharedData::ChunkTreeSharedData | ( | const ChunkParameters * | params | ) |

inline

Constructor.

References chunksBeingProcessed, dualGridVisible, octreeVisible, and volumeVisible.

## ~ChunkTreeSharedData()

Ogre::Volume::ChunkTreeSharedData::~ChunkTreeSharedData | ( | void |  | ) |

inline

Destructor.

References parameters.

## Member Data Documentation

## octreeVisible

bool Ogre::Volume::ChunkTreeSharedData::octreeVisible

Flag whether the octree is visible or not.

Referenced by ChunkTreeSharedData().

## dualGridVisible

bool Ogre::Volume::ChunkTreeSharedData::dualGridVisible

Flag whether the dualgrid is visible or not.

Referenced by ChunkTreeSharedData().

## volumeVisible

bool Ogre::Volume::ChunkTreeSharedData::volumeVisible

Another visibility flag to be user setable.

Referenced by ChunkTreeSharedData().

## chunksBeingProcessed

int Ogre::Volume::ChunkTreeSharedData::chunksBeingProcessed

The amount of chunks being processed (== loading).

Referenced by ChunkTreeSharedData().

## parameters

ChunkParameters* Ogre::Volume::ChunkTreeSharedData::parameters

The parameters with which the chunktree got loaded.

Referenced by ~ChunkTreeSharedData().

The documentation for this struct was generated from the following file:

- OgreVolumeChunk.h